microsoft-foundry.rest.security.o-auth2-auth
Memory Stores
Delete a memory item
DELETE
/memory_stores/{name}/items/{memory_id}
Deletes the specified memory item from the memory store.
Parâmetros do cabeçalho
Foundry-Features
enum
exigido
A feature flag opt-in required when using preview operations or modifying persisted preview resources.
MemoryStores=V1Preview
Parâmetros de caminho
name
string
exigido
The name of the memory store.
memory_id
string
exigido
The ID of the memory item to delete.
Parâmetros de consulta
api-version
string
exigido
The API version to use for this operation.
Respostas
The request has succeeded.
Corpo
Content-Type: application/json
object
enum
exigido
The object type. Always 'memory_store.item.deleted'.
memory_store.item.deleted
memory_id
string
exigido
The unique ID of the deleted memory item.
deleted
boolean
exigido
Whether the memory item was successfully deleted.
Solicitar
DELETE /memory_stores/{name}/items/{memory_id} HTTP/1.1
Resposta
Status: 200
Content-Type: application/json
Status: 4XX
Content-Type: application/json
Status: 5XX
Content-Type: application/json